<?php
  $project_name = "GKM";
  // recuperation automatique des variables
  if(!isset($post)) $post=array();
    foreach($post as $key => $value) { ${$key} = $value; }

  if(!isset($titre)) $titre = "Definir un titre";
  if(!isset($breadcrumbs)) $breadcrumbs = array();
  if(!isset($contenu)) $contenu = "";
  if(!isset($menu_gauche)) $menu_gauche = "";
  
  //recuperation du menu
  $req = 'SELECT * FROM `menu` ORDER BY `number` ASC';
  $a_res_tmp = $this->db->query($req)->result_array();

  //Gestion des droits pour l'affichage ou pas du menu
  $a_res=array();
  $i=0;
  foreach ($a_res_tmp as $key => $value) {
    if(in_array_any($_SESSION['role'], unserialize($value['role']))) {
      foreach ($value as $key_2 => $value_2) {
        $a_res[$i][$key_2] = $value_2;
      }
      $i++;
    }
  }
?>
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
    <meta name="csrf_token" content="{{ csrf_token() }}" />
    <meta name="description" content="">
    <meta name="author" content="">
    <link rel="icon" href="/eqare/favicon.ico" />
    <title><?php echo strip_tags($titre); ?></title>
    <!-- Jquery  -->
    <script src="<?php echo base_url ?>/plugins/jquery/jquery-1.11.3.js"></script>
    <script src="<?php echo base_url ?>/plugins/datatable/datatables.min.js"></script>
    <script src="<?php echo base_url ?>/plugins/jquery-ui/jquery-ui.min.js"></script>
    <link rel="stylesheet" href="<?php echo base_url ?>/plugins/jquery-ui/jquery-ui.min.css">
    <!-- bootstrap -->
    <link rel="stylesheet" href="<?php echo base_url ?>/plugins/bootstrap/css/bootstrap.css">
    <script src="<?php echo base_url ?>/plugins/bootstrap/js/bootstrap.min.js"></script>
    <link rel="stylesheet" href="<?php echo base_url ?>/plugins/bootstrap/css/navbar.css">
    <script src="<?php echo base_url ?>/plugins/bootstrap/js/navbar.js"></script>
    <!-- font awesome -->
    <link rel="stylesheet" href="<?php echo base_url ?>/plugins/fontawesome/css/font-awesome.min.css">
    <!-- datatable -->
    <link rel="stylesheet" href="<?php echo base_url ?>/plugins/datatable/datatables.min.css">
    <!-- css et js du portail -->
    <link rel="stylesheet" href="<?php echo base_url ?>/css/portail.css">
    <script src="<?php echo base_url ?>/js/portail.js"></script>
    <!-- bootstrap-multiselect -->
    <script src="<?php echo base_url ?>/plugins/bootstrap-multiselect/dist/js/bootstrap-multiselect.js"></script>
    <link rel="stylesheet" href="<?php echo base_url ?>/plugins/bootstrap-multiselect/dist/css/bootstrap-multiselect.css">
    <!-- notify -->
    <script src="<?php echo base_url ?>/plugins/notify/js/jquery.notify.min.js"></script> 
    <link rel="stylesheet" href="<?php echo base_url ?>/plugins/notify/css/jquery.notify.css">
    <!-- datetime -->
    <link rel="stylesheet" href="<?php echo base_url ?>/plugins/datetimepicker/jquery.datetimepicker.css">
    <script src="<?php echo base_url ?>/plugins/datetimepicker/build/jquery.datetimepicker.full.min.js"></script> 
    <script src="<?php echo base_url ?>/plugins/ckeditor/plugins/codesnippet/lib/highlight/highlight.pack.js"></script>
    <link rel="stylesheet" href="<?php echo base_url ?>/plugins/ckeditor/plugins/codesnippet/lib/highlight/styles/monokai_sublime.css"> 
    <script src="<?php echo base_url ?>/plugins/bootstrap-submenu-2.0.4/dist/js/bootstrap-submenu.min.js"></script>
    <link rel="stylesheet" href="<?php echo base_url ?>/plugins/bootstrap-submenu-2.0.4/dist/css/bootstrap-submenu.min.css"> 
    <!-- Colorpicker -->
    <link rel="stylesheet" href="<?php echo base_url ?>/plugins/bootstrap-colorpicker/dist/css/bootstrap-colorpicker.min.css"> 
    <script src="<?php echo base_url ?>/plugins/bootstrap-colorpicker/dist/js/bootstrap-colorpicker.min.js"></script>
    <!-- echart -->
    <script src="<?php echo base_url ?>/plugins/echart/echarts.min.js"></script>

    <style>
    @font-face {
      font-family: 'Oswald';
      font-style: normal;
      font-weight: 400;
      src: local('Oswald Regular'), local('Oswald-Regular'), url(<?php echo base_url ?>/fonts/Oswald.woff2) format('woff2');
      unicode-range: U+0100-024F, U+1E00-1EFF, U+20A0-20AB, U+20AD-20CF, U+2C60-2C7F, U+A720-A7FF;
    }

    @font-face {
      font-family: 'Oswald';
      font-style: normal;
      font-weight: 400;
      src: local('Oswald Regular'), local('Oswald-Regular'), url(<?php echo base_url ?>/fonts/Oswald2.woff2) format('woff2');
      unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02C6, U+02DA, U+02DC, U+2000-206F, U+2074, U+20AC, U+2212, U+2215, U+E0FF, U+EFFD, U+F000;
    }

    </style>


  </head>

  <body data-base-url="<?php echo base_url ?>">
    <?php
      echo menu($a_res);
    ?>
  <div class="container<?php echo $container_fluid ?>">
    <div class="row top_container">
      <div class="container<?php echo $container_fluid ?>">
        <?php
          echo breadcrumbs($breadcrumbs); 
        ?>
        <?php 
          if($h1 != "sans-h1") {
            echo '<h1><i class="glyphicon glyphicon-chevron-right"></i>' . $titre . '</h1>' ;
          }
        ?>
        <div class="row">
          <!-- Menu à gauche -->
          <?php
            if($menu_gauche) {
              $col_droite = "col-md-9";
              echo '
                <div class="col-md-3">
                  '.menu_gauche($menu_gauche).'
                </div>
              ';
            }
            else {
              $col_droite = "col-md-12";
            }
          ?>
          <!-- Fin Menu à gauche -->
          <!-- content -->
          <div class="<?php echo $col_droite ?>">
            <?php
              echo $contenu;
            ?>
          </div>
        </div><!-- fin row -->
      </div><!--/.container-->
    </div>
  </div>
  </body>
</html>
