<?
defined('BASEPATH') OR exit('No direct script access allowed');

class Code extends CI_Controller {
    function __construct() {
        parent::__construct();
        $this->db_default = $this->load->database('default', TRUE);
    }

	public function index() {
    $titre = "Mon mini wiki" ;
    $contenu .= menu_code() ;
    $contenu .= ' <a href="/code/edit_detail" class="btn btn-success"><i class="glyphicon glyphicon-plus"></i> Nouveau </a> ' ;
    $contenu .= "
        <script>
            $(document).ready(function() {
              $('#search').on('input', function() {
                var value = $(this).val() ;
                $('#liste').attr('data-search', value) ;
                update_liste_id('liste') ; 
              });
                $('#efface_search').on('click', function() {
                    $('#search').val('');
                    $('#liste').attr('data-search','') ;
                    update_liste_id('liste') ; 
                });
            });
        </script>
    ";
    $contenu .= '
      <form class="form-inline fright">
          <div class="form-group">
              <div class="input-group">
              <div class="input-group-addon"><i class="glyphicon glyphicon-search"></i></div>
              <input type="text" class="form-control" id="search" placeholder="Rechercher">
              <div class="input-group-addon" style="cursor:pointer" id="efface_search"><i class="glyphicon glyphicon-remove"></i></div>
              </div>
          </div>
      </form>
    ';
    $contenu .= $this->liste() ;
    $breadcrumbs = array("Acceuil"=>"/code/") ;  

    // Protection par mot de passe
    $contenu = get_role(array()) ? $contenu : '';
    $titre = get_role(array()) ? $titre : '';
    $breadcrumbs = get_role(array()) ? $breadcrumbs : '';  
    
    $this->load->view('base',array('post'=>get_defined_vars()));
  }

  public function categorie($id_categorie) {
    $req = "SELECT * FROM `code_categorie` WHERE `id` LIKE '" . $id_categorie . "'";
    $a_res = $this->db->query($req)->result_array();
    //Recup des variables de 
    if(is_array($a_res[0])) foreach($a_res[0] as $key => $value) { ${$key} = $value; }
    $titre = "Categorie : " . $nom ;
    $contenu .= menu_code() ;
    $contenu .= '<a href="/code/edit_detail/'.$id.'/0/categorie" class="btn btn-success"><i class="glyphicon glyphicon-plus"></i> Nouveau </a>' ;
    $contenu .= $this->liste($id_categorie,0,"","categorie") ;
    $breadcrumbs = array("Acceuil"=>"/code/",$nom) ;
    $this->load->view('base',array('post'=>get_defined_vars()));
  }

  public function edit_detail($id_categorie="",$id="",$referer="") {

    $contenu .= '
      <script src="'.base_url.'/plugins/ckeditor/ckeditor.js"></script>
      <script src="'.base_url.'/plugins/ckeditor/adapters/jquery.js"></script>    
      <script src="'.base_url.'/js/code.js"></script>
    ';

    $req = "
      SELECT 
        `code`.*,
        `code_categorie`.`nom` as `nom_categorie`
      FROM `code` 
      LEFT JOIN `code_categorie`
        ON `code`.`id_categorie` = `code_categorie`.`id`
      WHERE 1 
        AND `code`.`id` LIKE '" . $id . "'";
    $a_res = $this->db->query($req)->result_array();
    if(is_array($a_res[0])) foreach($a_res[0] as $key => $value) { ${$key} = $value; }  

    $contenu .= '
      <form action="/code/add_ed" method="POST" class="mt20" id="f_add_ed_form" onsubmit="return false;">
          <div class="form-group" id="fg_titre">
            <label for="titre" id="label_titre">Titre :</label>
            <input type="text" name="titre" id="titre" value="' . $titre . '" class="form-control " placeholder="titre">
          </div>
          <div class="form-group" id="fg_id_categorie">
            <label for="id_categorie">Categorie : </label>
              <select class="form-control  " name="id_categorie" id="id_categorie">
    ';
    $contenu .= '<option value=""></option>';
    //creer l'option de id_categorie
    if ($id_categorie != "") { $where = " WHERE 1 AND `id` = " . $id_categorie ; }
    $req = "SELECT * FROM `code_categorie` $where ORDER BY `nom` ASC";
    $a_res = $this->db->query($req)->result_array();
    if (isset($id_categorie)) { $nom_categorie = $a_res[0]['nom'] ; }

    foreach ($a_res as $k => $v) {
      if($v['id'] == $id_categorie)
        $selected = 'selected="selected"' ;
      else
        $selected = '' ;
      $contenu .= '<option value="' . $v['id'] . '" ' . $selected . '>' . $v['nom'] . '</option>';
    }    
    $contenu .= '
              </select>
          </div>
          <div class="form-group" id="fg_text">
              <label for="text">Texte : </label>
              <textarea name="text" id="text" class="form-control" placeholder="text">' . $text . '</textarea>
          </div>  
          <input type="hidden" name="id" id="id" value="' . $id . '">
          <input type="hidden" name="validate" value="[{&quot;type&quot;:&quot;required&quot;,&quot;input&quot;:&quot;titre&quot;},{&quot;type&quot;:&quot;required&quot;,&quot;input&quot;:&quot;id_categorie&quot;},{&quot;type&quot;:&quot;required&quot;,&quot;input&quot;:&quot;text&quot;}]">
          <div class="form-group" id="">
          <button onclick="verify(\'add_ed_form\')" id="b_add_ed_form" class="btn btn-xs btn-success"> <i class="glyphicon glyphicon-ok"></i>  Enregistrer la modification</button>
          </div>  
      </form>
    ';    
    $titre = '<span class="titre_code">' . $titre . '</span>';
       
   //protection par mot de passe
    $contenu = get_role(array()) ? $contenu : '';
    $titre = get_role(array()) ? $titre : '';
    $breadcrumb = get_role(array()) ? $breadcrumb : '';

    if ($referer == "categorie") {
      $breadcrumbs = array("Acceuil"=>"/code/","Ajouter une nouvelle entrée dans la catégorie : " . $nom_categorie) ;  
    }
    else {
      $breadcrumbs = array("Acceuil"=>"/code/",$titre) ;
    }

    

    $this->load->view('base',array('post'=>get_defined_vars()));    
  }

  public function liste($id_categorie_search="",$echo=0,$search="",$referer="") {
    if ($id_categorie_search and $id_categorie_search != "undefined") {
      $where .= " AND `code_categorie`.`id` LIKE '" . $id_categorie_search . "' " ;
    }
    else {
      $id_categorie_search = 0 ;
    }
    if($search) {
      $where .= " AND (`code_categorie`.`nom` LIKE '%" . $search . "%') OR (`code`.`titre` LIKE '%" . $search . "%') " ;
    }

    $req = "
      SELECT 
        `code`.*,
        `code_categorie`.`nom` 
      from 
        `code`
      LEFT JOIN 
        `code_categorie`
        ON `code_categorie`.`id` = `code`.`id_categorie`  
      WHERE 1 
        " . $where . "
        ORDER BY `code_categorie`.`nom` ASC
    ";
    $a_res = $this->db->query($req)->result_array();

    $contenu .= '<ul id="' . __FUNCTION__ . '" data-url="/' . strtolower(__CLASS__) . '/'. __FUNCTION__ .'/' . $id_categorie_search . '/" class="list-group mt20">';
    foreach ($a_res as $key => $value) {
        if(is_array($value)) foreach($value as $k => $v) { ${$k} = $v; }
        $contenu .= '<li class="list-group-item">';
        $contenu .= "<a href='/code/categorie/" . $id_categorie . "'>" . $nom . "</a> " . " : <a href='/code/detail/" . $id . "'>" . $titre . "</a>" ;

        if (isset($referer)) {
          $del_add = "/" . $referer ; 
        }
        $contenu .= '
            <span class="fright">
                <a href="/code/edit_detail/' . $id . '" class="btn btn-xs btn-primary"><i class="glyphicon glyphicon-edit"></i></a>
                ' . jqHref("del_" . $id,"/" . strtolower(__CLASS__) . "/del/" . $id . $del_add,"","","btn btn-xs btn-danger","glyphicon glyphicon-trash","","Voulez-vous vraiment supprimer","jquerize","") . '
            </span>';
        $contenu .= '</li>';
    }
    $contenu .= '</ul>';

   //protection par mot de passe
    $contenu = get_role(array()) ? $contenu : '';

    // Affichage
    if ($echo == 1) 
        echo $contenu ;
    else
      return $contenu ;
  }

  public function detail($id) {
    $req = "
      SELECT 
        `code`.*,
        `code_categorie`.`nom` as `nom_categorie`
      FROM `code` 
      LEFT JOIN `code_categorie`
        ON `code`.`id_categorie` = `code_categorie`.`id`
      WHERE 1 
        AND `code`.`id` LIKE '" . $id . "'";
    $a_res = $this->db->query($req)->result_array();
    if(is_array($a_res[0])) foreach($a_res[0] as $key => $value) { ${$key} = $value; }  

    $contenu .= '<a href="/code/edit_detail/'.$id_categorie.'/' . $id . '" class="btn btn-primary" ><i class="glyphicon glyphicon-edit"></i> Modifier la page</a>';
    $contenu .= '
      <link rel="stylesheet" href="/plugins/hightlight/styles/atom-one-dark.min.css">
      <script src="/plugins/hightlight/highlight.min.js"></script>
      <script>
        $(document).ready(function() {
            var i= 0 ;
            $("pre").each(function() {
                var mon_texte = $(this).text() ;
                $(this).html("<code id=\'code_" + i + "\'>" + mon_texte + "</code>");
                $("#my_input").after("<div id=\'model_" + i + "\' class=\'hide\'>" + mon_texte + "</div>")
                i++ ; 
            });
            if($("[id^=\'model\']").length > 0) {
                console.log("ici") ;
            } else {
                $("#my_input").remove() ;
                console.log("la") ;
            }
            hljs.highlightAll();
        });
      </script>
    ';
    $contenu .= "
      <script>
          function remplir() {
            my_code = $('code').text() ;
            var regex = /{{-(.*?)-}}/g;
            var matches = [];
            var match;
            while (match = regex.exec(my_code)) {
              matches.push(match[1]);
            }
            my_text = '' ; 
           // supprimer les doublons
           matches = Array.from(new Set(matches));
            my_text += '<form class=\"form-horizontal\">' ;
            matches.forEach(element => {
              my_id = element.replace(/[^a-zA-Z0-9]/g, \"_\") ;
              my_id = my_id.replace(/_+/g, \"_\") ;
              my_text += '<div class=\"form-group\"><label for=\"' + my_id + '\" class=\"col-sm-2 control-label\">' + element + '</label><div class=\"col-sm-10\"><input class=\"my_input form-control\" id=\"' + my_id + '\" type=\"text\" my-data=\"{{-' + element +'-}}\" onkeyup=\"replace_var()\" onclick=\"this.select()\" value=\"{{-' + element +'-}}\"></div></div>';
            });
            my_text += '</form>' ;
            $('#my_input').html(my_text) ;
            console.log($('#my_input').text())
            if($('#my_input').text() == '') {
              $('#my_input').remove() ;
            }
          }

          function replace_var() {
              $(\"[id^='model']\").each(function() {
                  const val_id = $(this).attr('id');
                  const num_id = val_id.replace(\"model_\",\"\") ; 
                  const my_original_text = $('#model_' + num_id).text();
                  let my_final_text = my_original_text;
                  $('.my_input').each(function() {
                      const my_value = $(this).val();
                      const my_data = $(this).attr('my-data');
                      const myregex = new RegExp(my_data, 'g');
                      my_final_text = my_final_text.replace(myregex, my_value);
                  });

                  $('#code_' + num_id).text(my_final_text);        
              });
          }
          jQuery(document).ready(function($) {
              remplir() ;
          });
      </script>
    ";
    $contenu .= '
      <style>
        pre {
          white-space: pre-wrap;       /* Since CSS 2.1 */
          white-space: -moz-pre-wrap;  /* Mozilla, since 1999 */
          white-space: -pre-wrap;      /* Opera 4-6 */
          white-space: -o-pre-wrap;    /* Opera 7 */
          word-wrap: break-word;       /* Internet Explorer 5.5+ */
        }
      </style>
    ';

    $contenu .= '<div id="my_input" class="p10 mb20" style="background-color:#EEE"></div>';
    $contenu .= $text ;
    $breadcrumbs = array("Acceuil"=>"/code/",$nom_categorie=>"/code/categorie/" .$id_categorie,$titre) ;

   //protection par mot de passe
    $contenu = get_role(array()) ? $contenu : '';
    $titre = get_role(array()) ? $titre : '';
    $breadcrumbs = get_role(array()) ? $breadcrumbs : '';

    $this->load->view('base',array('post'=>get_defined_vars()));
  }

  public function add_ed() {
      if(!$_POST['id']) {
        insert($_POST,strtolower(__CLASS__),array());
        $req = "SELECT id FROM `code` ORDER BY `id` DESC";
        $a_res = $this->db->query($req)->result_array();
        $_POST['id'] = $a_res[0]['id'] ;
      }
      else {
        update($_POST,strtolower(__CLASS__)," AND id='".$_POST['id']."'",array());
      }
      echo redirect("/code/detail/" . $_POST['id']) ;
  }

  public function del($id,$referer="") {
      $req = "DELETE FROM `" . strtolower(__CLASS__) . "` WHERE 1 AND `id` = " . $id;
      $a_res = $this->db->query($req);
      echo javascript("window.location.reload()") ;
      
  }
}
?>