<?
defined('BASEPATH') OR exit('No direct script access allowed');

class Dates extends CI_Controller {
    function __construct() {
        parent::__construct();
        $this->db_default = $this->load->database('default', TRUE);
    }

	public function index($mois_r="",$annee_r="") {
        if($mois_r == "")
            $mois_r = date('m') ;
        if($annee_r == "")
            $annee_r = date('Y') ;
        $req = "SELECT * FROM `" . strtolower(__CLASS__) . "` WHERE 1 AND `id` = '1'";
        $a_res = $this->db->query($req)->result_array() ;
        $texte = $a_res[0]['texte'] ;
        $titre = "Bu" ;
        $h1 = "sans-h1" ;
        $contenu .= '' ;

        $contenu .= menu_budget() ;
        // 
        $contenu .= "
            <script>
                $(document).ready(function() {
                  $('#search').on('input', function() {
                    var value = $(this).val() ;
                    $('#liste').attr('data-search', value) ;
                    update_liste_id('liste') ; 
                  });
                    $('#efface_search').on('click', function() {
                        $('#search').val('');
                        $('#liste').attr('data-search','') ;
                        update_liste_id('liste') ; 
                    });
                });

                function efface_search_item() {
                    console.log('ici') ;
                    $('#search_item').val('');
                    $('#liste_item').attr('data-search','') ;
                    update_liste_id('liste_item') ;
                }
            </script>
        ";

        $contenu .= '
            <form class="form-inline">
                <div class="form-group">
                    <div class="input-group">
                    <div class="input-group-addon"><i class="glyphicon glyphicon-search"></i></div>
                    <input type="text" class="form-control" id="search" placeholder="Rechercher">
                    <div class="input-group-addon" style="cursor:pointer" id="efface_search"><i class="glyphicon glyphicon-remove"></i></div>
                    </div>
                </div>
            </form>
        ';

        $contenu .= $this->liste($mois_r,$annee_r,0,"");
        $this->load->view('base',array('post'=>get_defined_vars()));
    }

    function liste_items_to_add_enveloppe($mois_r,$annee_r,$echo=0,$search="") {
        $contenu .= "
            <script>
                function search_item_function() {
                    $('#liste_item').attr('data-search', $('#search_item').val()) ;
                    update_liste_id('liste_item') ;
                }
            </script>
        ";
        $contenu .= '
            <form class="form-inline mb10">
                <div class="form-group">
                    <div class="input-group">
                    <div class="input-group-addon"><i class="glyphicon glyphicon-search"></i></div>
                    <input type="text" class="form-control" id="search_item" placeholder="Rechercher" onKeyUp="search_item_function()">
                    <div class="input-group-addon" style="cursor:pointer" id="efface_search_item" onclick="efface_search_item()"><i class="glyphicon glyphicon-remove"></i></div>
                    </div>
                </div>
            </form>
        ';
        $contenu .= $this->liste_items_to_add($mois_r,$annee_r,$echo=0,$search="") ;
        // Affichage
        echo $contenu ;
    }

    function liste_items_to_add($mois_r,$annee_r,$echo=0,$search="") {
        $req = "
            SELECT 
                * 
            FROM 
                `items`
            WHERE 1 
                AND `nom` LIKE '%" . $search . "%'
            ORDER BY `nom` ASC";
        $a_res = $this->db->query($req)->result_array();
        $contenu .= '<div id="liste_item" class="list-group" data-url="/dates/liste_items_to_add/' . $mois_r . '/' . $annee_r . '" data-search="">';
        foreach ($a_res as $key => $value) {
            //Recup des variables de 
            if(is_array($value)) foreach($value as $key => $value) { ${$key} = $value; }

            $req_1 = "
                SELECT COUNT(id) as nb FROM `dates` WHERE 1 AND `id_item` LIKE '" . $id . "' AND `dates`.`date` >= '" . $a_date['debut'] . "' AND `dates`.`date` <= '" . $a_date['fin'] . "'";
            $a_res_1 = $this->db->query($req_1)->result_array();
            $nb = $a_res_1[0]['nb'] ;

            $a_date = date_begin_last_day_mounth($mois_r,$annee_r) ;

            $contenu .= jqHref("item_" . $id,"/" . __CLASS__ . "/add_ed_form/" . $id . "/" . $mois_r . "/" . $annee_r,"",$nom . '<span class="badge">' . $nb . '</span>',"list-group-item","glyphicon glyphicon-tag","Ajouter" . $nom,false,"mp","Ajouter " . $nom) ;
        }
        $contenu .= '</div>';
        // Affichage
        if($echo == 0)
            return $contenu ;
        else
            echo $contenu ;
    }


    function liste($mois_r,$annee_r,$echo=1,$search=""){

        $req = "SELECT * FROM `categories`";
        $a_res = $this->db->query($req)->result_array();
        foreach ($a_res as $key => $value) {
            $a_categorie[$value['id']] = $value['nom'] ;
        }

        $contenu .= '<div id="' . __FUNCTION__ . '" data-url="/' . strtolower(__CLASS__) . '/'. __FUNCTION__ .'/' . $mois_r . '/' . $annee_r . '" data-search="">';

        $contenu .= '<div class="mt10 mb10">';

        foreach (array(-3,-2,-1,0,1,2,3) as $key => $value) {
            $mois = date('m',strtotime($value . ' month')) ;
            $annee = date('Y',strtotime($value . ' month')) ;
            $contenu .= '<a href="/dates/index/' . $mois . '/' . $annee . '" class="btn btn-xs ' . active($mois,$mois_r,"btn-warning","btn-success") . '">' . date_mois_fr($mois) . '</a> ';
        }
        $contenu .= '</div>';

        $req = "
            SELECT * FROM `items` WHERE 1
        " ;
        $a_res = $this->db->query($req)->result_array();
        $a_id = array() ;
        foreach ($a_res as $key => $value) {
            $a_id[$value['id']] = $value['nom'] ;
            $a_id_categorie[$value['id']] = $value['id_categorie'] ;
            $a_a_diviser[$value['id']] = $value['a_diviser'] ;
        }
        $total = 0 ;
        $total_non_vire = 0 ;
        $total_vire = 0 ;
        $a_date = date_begin_last_day_mounth($mois_r,$annee_r) ;
        $req = "
            SELECT 
                `dates`.*
            from `dates`
            INNER JOIN `items`
            ON `dates`.`id_item` = `items`.`id`
            WHERE 1 
                AND `dates`.`date` >= '" . $a_date['debut'] . "' AND `dates`.`date` <= '" . $a_date['fin'] . "'
                AND `items`.`nom` LIKE '%" . $search . "%'
            ORDER BY `date` DESC
        ";
        $a_res = $this->db->query($req)->result_array();

        $contenu .= '<h2>Payé/A payer ' . jqHref("bt_paye_a_payer","/dates/liste_items_to_add_enveloppe/" . $mois_r . "/" . $annee_r . "/","","","btn btn-success btn-xs","glyphicon glyphicon-plus","Ajouter",false,"mp","Ajouter") . ' </h2>';

        $contenu .= '<table class="table-striped">';
        foreach ($a_res as $key => $value) {
            $nom_item = $a_id[$value['id_item']] ;
            $id_categorie = $a_id_categorie[$value['id_item']] ;
            $nom_categorie = $a_categorie[$id_categorie] ;

            if ($a_a_diviser[$value['id_item']] == "oui") {
                $a_diviser = '<i class="glyphicon glyphicon-duplicate"></i>' ;
                $prix_double = "&nbsp;&nbsp; [ " . $value['prix'] . " ]";
                $value['prix'] = $value['prix']/2 ;
            }
            else {
                $a_diviser = "" ;
                $prix_double = "" ;
            }

            if($value['a_virer'] == "oui") {
                $a_virer=' <i class="glyphicon glyphicon-remove"></i> ' ;
                $total_non_vire += $value['prix'] ;
            }
            else if ($value['a_virer'] == "virée") {
                $a_virer=' <i class="glyphicon glyphicon-ok"></i> ' ;
                $total_vire += $value['prix'] ;
            }
            else {
                $a_virer = "" ;

            }

            $total += $value['prix'] ;
            $contenu .= '<tr>';
            $contenu .= '
                <td class="p10" style="width:150px">
                    <div>' . $date = convert_date_en_fr($value['date']) . '</div>
                    <div class="f11">' . date_fr($value['date'],"approx") . '</div>
                </td>
                <td class="p10" style="width:150px">
                    <div>' . $a_virer . '' . $a_diviser . ' ' . $nom_item . '</div>
                    <div class="f11"><a>' . jqHref("categorie_" . $value['id'],"/dates/liste_categorie_par_mois/" . $id_categorie ."/" . $mois_r . "/" . $annee_r,"",$nom_categorie,"","",$nom_categorie,false,"mp",$nom_categorie) . '</a><div><i>' . $value['commentaire'] . '</i></div></div>
                </td>
                <td class="p10" style="width:80px">
                    <span class="label label-default">' . $value['prix'] . " € " . $prix_double . '  </span>
                </td>
            ' ;

            $contenu .= '
                <td class="p10">
                    ' . jqHref("ed_" . $value['id'],"/" . strtolower(__CLASS__) . "/add_ed_form/" . $value['id_item'],"id=" . $value['id'],"","btn btn-xs btn-primary","glyphicon glyphicon-edit","Modifier " . $a_id[$value['id_item']],false,"mp","Modifier " . $a_id[$value['id_item']]) . '
                    ' . jqHref("del_" . $value['id'],"/" . strtolower(__CLASS__) . "/del/" . $value['id'],"","","btn btn-xs btn-danger","glyphicon glyphicon-trash","","Voulez-vous vraiment supprimer","jquerize","") . '
                </td>';
            $contenu .= '</tr>';
        }
        $contenu .= '</table>';

        $contenu .= '
            <table class="table table-striped f11 mt10">
                <tr>
                    <th>Total</th>
                    <th>Total à payer</th>
                    <th>Total payé</th>
                </tr>
                <tr>
                    <td>' . $total . ' €</td>
                    <td>' . $total_non_vire . '  €</td>
                    <td>' . $total_vire . '  €</td>
                </tr>
            </table>
        ';


       $contenu .= '<h2>A me rembourser ' . jqHref("add_ed_a_rembourser","/" . strtolower(__CLASS__) . "/add_ed_form_a_rembourser/" .$mois_r,"","","btn btn-xs btn-success","glyphicon glyphicon-plus","Ajouter",false,"mp","Ajouter 'a rembourser'") . '</h2>';

        $total_a_rembourser = 0 ;
        $total_rembourse = 0 ;
        $total_non_rembourse = 0 ;
        $contenu .= '<table class="table-striped">';
        $req = "
            SELECT 
                * 
            from 
                `a_rembourser` 
            WHERE 1 
                AND `date` >= '" . $a_date['debut'] . "' AND `date` <= '" . $a_date['fin'] . "' 
                AND `item` LIKE '%" . $search . "%' 
            ORDER BY 
                `date` DESC
        ";

        $a_res = $this->db->query($req)->result_array();
        foreach ($a_res as $key_res => $value_res) {
            if(is_array($value_res)) foreach($value_res as $key => $value) { ${$key} = $value; }
            if($paye == "oui") {
                $paye=' <i class="glyphicon glyphicon-ok"></i> ' ;
                $total_rembourse += $prix ;
            }
            else if ($paye == "non") {
                $paye=' <i class="glyphicon glyphicon-remove"></i> ' ;
                $total_non_rembourse += $prix ;
            }

            $total_a_rembourser += $prix ;
            $contenu .= '
                <tr>
                    <td class="p10" style="width:150px">
                        <div>' . $date = convert_date_en_fr($date) . '</div>
                        <div class="f11">' . date_fr($date,"approx") . '</div>
                    </td>
                    <td class="p10" style="width:150px">
                        <div>' . $paye . ' ' . $item . '</div>
                    </td>
                    <td class="p10" style="width:80px">
                        <span class="label label-default">' . $prix . ' € </span>
                    </td>
                    <td class="p10">
                        ' . jqHref("ed_" . $id,"/" . strtolower(__CLASS__) . "/add_ed_form_a_rembourser/" . $mois_r,"id=" . $id,"","btn btn-xs btn-primary","glyphicon glyphicon-edit","Modifier",false,"mp","Modifier") . '
                        ' . jqHref("del_" . $id,"/" . strtolower(__CLASS__) . "/del_a_rembourser/" . $id,"","","btn btn-xs btn-danger","glyphicon glyphicon-trash","","Voulez-vous vraiment supprimer","jquerize","") . '
                    </td>
                </tr>
            ' ;
        }
        $contenu .= '</table>';

        $contenu .= '
            <table class="table table-striped f11 mt10">
                <tr>
                    <th>Total</th>
                    <th>Total remboursé</th>
                    <th>Total non remboursé</th>
                </tr>
                <tr>
                    <td>' . $total_a_rembourser . ' €</td>
                    <td>' . $total_rembourse . '  €</td>
                    <td>' . $total_non_rembourse . '  €</td>
                </tr>
            </table>
        ';


        $contenu .= '<h2>A deduire ' . jqHref("add_ed_a_deduire","/" . strtolower(__CLASS__) . "/add_ed_form_a_deduire/" .$mois_r,"","","btn btn-xs btn-success","glyphicon glyphicon-plus","Ajouter",false,"mp","Ajouter 'a deduire'") . '</h2>';

        $total_a_deduire = 0 ;
        $total_deduit = 0 ;
        $total_non_deduit = 0 ;
        $contenu .= '<table class="table-striped">';
        $req = "SELECT * from `a_deduire` WHERE 1 AND `date` >= '" . $a_date['debut'] . "' AND `date` <= '" . $a_date['fin'] . "' AND `item` LIKE '%" . $search . "%' ORDER BY `date` DESC";
        $a_res = $this->db->query($req)->result_array();
        foreach ($a_res as $key_res => $value_res) {
            if(is_array($value_res)) foreach($value_res as $key => $value) { ${$key} = $value; }
            if($paye == "oui") {
                $paye=' <i class="glyphicon glyphicon-ok"></i> ' ;
                $total_deduit += $prix ;
            }
            else if ($paye == "non") {
                $paye=' <i class="glyphicon glyphicon-remove"></i> ' ;
                $total_non_deduit += $prix ;
            }

            $total_a_deduire += $prix ;
            $contenu .= '
                <tr>
                    <td class="p10" style="width:150px">
                        <div>' . $date = convert_date_en_fr($date) . '</div>
                        <div class="f11">' . date_fr($date,"approx") . '</div>
                    </td>
                    <td class="p10" style="width:150px">
                        <div>' . $paye . ' ' . $item . '</div>
                    </td>
                    <td class="p10" style="width:80px">
                        <span class="label label-default">' . $prix . ' € </span>
                    </td>
                    <td class="p10">
                        ' . jqHref("ed_" . $id,"/" . strtolower(__CLASS__) . "/add_ed_form_a_deduire/" . $mois_r,"id=" . $id,"","btn btn-xs btn-primary","glyphicon glyphicon-edit","Modifier",false,"mp","Modifier") . '
                        ' . jqHref("del_" . $id,"/" . strtolower(__CLASS__) . "/del_a_deduire/" . $id,"","","btn btn-xs btn-danger","glyphicon glyphicon-trash","","Voulez-vous vraiment supprimer","jquerize","") . '
                    </td>
                </tr>
            ' ;
        }
 
        $contenu .= '</table>';
        $contenu .= '
            <table class="table table-striped f11 mt10">
                <tr>
                    <th>Total</th>
                    <th>Total deduit</th>
                    <th>Total non deduit</th>
                </tr>
                <tr>
                    <td>' . $total_a_deduire . ' €</td>
                    <td>' . $total_deduit . '  €</td>
                    <td>' . $total_non_deduit . '  €</td>
                </tr>
            </table>
        ';

        $contenu .= '<h2>Resumé</h2>';

        $total_recalcule = $total_non_vire + $total_vire + $total_a_rembourser - $total_a_deduire ;
        $total_paye = $total_recalcule - $total_non_rembourse + $total_non_deduit - $total_non_vire ;
        $contenu .= '
            <table class="table table-striped f11">
                <tr>
                    <th>Total payé/à payer</th>
                    <th>Total à me rembourser</th>
                    <th>Total à déduire</th>
                </tr>
                <tr>
                    <td>' . $total . ' €</td>
                    <td>' . $total_a_rembourser . '  €</td>
                    <td>' . $total_a_deduire . '  €</td>
                </tr>
            </table>
        ';
        $contenu .= '
            <table class="table table-striped f11">
                <tr>
                    <th>Total</th>
                    <th>Payé</th>
                    <th>Reste à payer</th>
                </tr>
                <tr>
                    <td>' . $total_recalcule . ' €</td>
                    <td>' . $total_paye . ' €</td>
                    <td>' . $total_non_vire . ' €</td>
                </tr>
            </table>
        ';        

        $contenu .= '<h2>Commentaire ' . jqHref("add_ed_commentaire","/" . strtolower(__CLASS__) . "/add_ed_form_commentaire/" . $mois_r . "/" . $annee_r,"","","btn btn-xs btn-success","glyphicon glyphicon-plus","Ajouter un commentaire",false,"mp","Ajouter un commentaire") . '</h2>';

        $req = "SELECT * FROM `commentaire` WHERE 1 AND `mois` = '" . $mois_r . "' AND `annee` = '" . $annee_r . "'";
        $a_res = $this->db->query($req)->result_array();
        $contenu .= '<table class="table-striped">';
        foreach ($a_res as $k => $v) {
            if(is_array($v)) foreach($v as $key => $value) { ${$key} = $value; }
            $contenu .= '
                <tr>
                    <td class="p10">' . date_fr($date,"approx") . '</td>
                    <td class="p10">' . $commentaire . '</td>
                    <td class="p10">
                        ' . jqHref("ed_" . $id,"/" . strtolower(__CLASS__) . "/add_ed_form_commentaire/" . $mois_r . "/" . $annee_r,"id=" . $id,"","btn btn-xs btn-primary","glyphicon glyphicon-edit","Modifier",false,"mp","Modifier") . '
                        ' . jqHref("del_" . $id,"/" . strtolower(__CLASS__) . "/del_commentaire/" . $id,"","","btn btn-xs btn-danger","glyphicon glyphicon-trash","","Voulez-vous vraiment supprimer","jquerize","") . '
                    </td>
                </tr>
            ';            
        }
        $contenu .= '</table>';


        $contenu .= '</div>';

        // Affichage
        if ($echo == 1) 
            echo $contenu ;
        else
            return $contenu ;
    }

    public function add_ed_form_commentaire($mois,$annee) {
        if ($_POST['id']) {
            $req = "SELECT * FROM `commentaire` WHERE 1 AND `mois` = '" . $mois . "' AND `annee` = '" . $annee . "' AND `id` = '" . $_POST['id'] . "'";
            $a_res = $this->db->query($req)->result_array();
            //Recup des variables de 
            if(is_array($a_res[0])) foreach($a_res[0] as $key => $value) { ${$key} = $value; }
        }
        $form = $this->form->create(array("fname"=>"add_ed_form_commentaire","action"=>"/" . strtolower(__CLASS__) . "/add_ed_commentaire","class"=>"mt20","button"=>"valider"))
            ->grid(3)
            ->input(array("type"=>"textarea","name"=>"commentaire","label"=>"Commentaire","valeur"=>$commentaire,"validate"=>array("type"=>"required")))
            ->input(array("type"=>"hidden","name"=>"mois","valeur"=>$mois))
            ->input(array("type"=>"hidden","name"=>"annee","valeur"=>$annee))
            ->input(array("type"=>"hidden","name"=>"id","valeur"=>$_POST['id']))
            ->render();
        echo $form ;
    }

    public function del_commentaire($id) {
        $req = "DELETE FROM `commentaire` WHERE 1 AND `id` = " . $id;
        $a_res = $this->db->query($req);
        echo javascript("update_liste_id('liste')") ;
    }

    public function add_ed_commentaire() {
        $_POST['date'] = date("Y-m-d") ;
        
        if(!$_POST['id'])
            insert($_POST,'commentaire',array());
        else
            update($_POST,'commentaire'," AND id='".$_POST['id']."'",array());

        echo javascript("update_liste_id('liste')") ;
        echo javascript("mpClose();") ;
    }

    public function add_ed_form_a_rembourser($mois) {
        if($_POST['id']) {
            $req = "SELECT * FROM `a_rembourser` WHERE 1 AND `id` LIKE '" . $_POST['id'] . "'";
            $a_res = $this->db->query($req)->result_array();
            if(is_array($a_res[0])) foreach($a_res[0] as $key => $value) { ${$key} = $value; }
            $date = convert_date_en_fr($date) ;
        }
        if($date == "") {
            $mktime = date_to_mktime(date('d') . "/" . $mois . "/" . date('Y')) ;
            $date=date('d/m/Y',$mktime) ;
        }
        if($paye == "")
            $paye = 'non' ;

        $contenu .= '
            <form action="/dates/add_ed_a_rembourser" method="POST" class="mt20 form-horizontal" id="f_add_ed_form_a_rembourser" onsubmit="return false;">
                <div class="form-group" id="fg_date">
                  <label for="date" class="col-sm-3 control-label" id="label_date">Date</label>
                  <div class="col-sm-9">
                     <input type="text" name="date" id="date" value="' . $date . '" class="form-control datePicker" placeholder="date">
                  </div>
                </div>
                <div class="form-group" id="fg_item">
                  <label for="item" class="col-sm-3 control-label" id="label_item">Libellé</label>
                  <div class="col-sm-9">
                     <input type="text" name="item" id="item" value="' . $item . '" class="form-control" placeholder="Libellé">
                  </div>
                </div>
                <div class="form-group" id="fg_prix">
                  <label for="prix" class="col-sm-3 control-label" id="label_prix">Prix</label>
                  <div class="col-sm-9">
                    <div id="prix">
                     <table>
                        <tr>
                            <td>
                                <input type="text" name="prix" id="prix_tmp" value="' . $prix . '" inputmode="numeric" class="form-control" placeholder="prix" style="width:70px;float:left;text-align:right">
                            </td>
                            <td class="p5">
                            ,
                            </td>
                            <td>
                                <input type="text" name="virgule" id="virgule" value="' . $virgule . '" inputmode="numeric" class="form-control" placeholder="00"  style="width:50px;">
                            </td>
                            <td  class="p5">
                                €
                            </td>
                        </tr>
                     </table>
                    </div>
                  </div>
                </div>
                <div class="form-group" id="fg_paye">
                   <label for="paye" class="col-sm-3 control-label">Payée</label>
                   <div class="col-sm-9">
        ';
        foreach (array("non"=>"non","oui"=>"oui") as $key => $value) {
            if ($key == $paye) {
                $checked = ' checked="" ' ;
            }
            else {
                $checked = '' ;
            }
            $contenu .= '
                <div class="radio">
                    <label>
                        <input type="radio" name="paye" value="' . $key . '" ' . $checked . '>
                        ' . $value . '
                    </label>
                </div>
            ';
        }
        $contenu .= '
                   </div>
                </div>
               <input type="hidden" name="id" id="id" value="' . $id . '">
               <input type="hidden" name="validate" value="[{&quot;type&quot;:&quot;required&quot;,&quot;input&quot;:&quot;date&quot;},{&quot;type&quot;:&quot;required&quot;,&quot;input&quot;:&quot;prix&quot;}]">
               <div class="form-group" id="">
                  <div class="col-sm-offset-3 col-sm-9"><button onclick="verify(\'add_ed_form_a_rembourser\')" id="b_add_ed_form" class="btn btn-xs btn-success"> <i class="glyphicon glyphicon-ok"></i>  Enregistrer la modification</button></div>
               </div>
            </form>
        ' ;
        echo $contenu ;
    }

    public function add_ed_a_rembourser() {

        $_POST['prix'] = $_POST['prix'] . "." . $_POST['virgule'] ;
        $_POST['date'] = convert_to_date_mysql($_POST['date']) ;
        
        if(!$_POST['id'])
            insert($_POST,'a_rembourser',array('virgule'));
        else
            update($_POST,'a_rembourser'," AND id='".$_POST['id']."'",array('virgule'));

        echo javascript("update_liste_id('liste')") ;
        echo javascript("mpClose();") ;
    }

    public function add_ed_form_a_deduire($mois) {
        if($_POST['id']) {
            $req = "SELECT * FROM `a_deduire` WHERE 1 AND `id` LIKE '" . $_POST['id'] . "'";
            $a_res = $this->db->query($req)->result_array();
            if(is_array($a_res[0])) foreach($a_res[0] as $key => $value) { ${$key} = $value; }
            $date = convert_date_en_fr($date) ;
        }
        if($date == "") {
            $mktime = date_to_mktime(date('d') . "/" . $mois . "/" . date('Y')) ;
            $date=date('d/m/Y',$mktime) ;
        }
        if($paye == "")
            $paye = 'non' ;

        $contenu .= '
            <form action="/dates/add_ed_a_deduire" method="POST" class="mt20 form-horizontal" id="f_add_ed_form_a_deduire" onsubmit="return false;">
                <div class="form-group" id="fg_date">
                  <label for="date" class="col-sm-3 control-label" id="label_date">Date</label>
                  <div class="col-sm-9">
                     <input type="text" name="date" id="date" value="' . $date . '" class="form-control datePicker" placeholder="date">
                  </div>
                </div>
                <div class="form-group" id="fg_item">
                  <label for="item" class="col-sm-3 control-label" id="label_item">Libellé</label>
                  <div class="col-sm-9">
                     <input type="text" name="item" id="item" value="' . $item . '" class="form-control" placeholder="Libellé">
                  </div>
                </div>
                <div class="form-group" id="fg_prix">
                  <label for="prix" class="col-sm-3 control-label" id="label_prix">Prix</label>
                  <div class="col-sm-9">
                    <div id="prix">
                     <table>
                        <tr>
                            <td>
                                <input type="text" name="prix" id="prix_tmp" value="' . $prix . '" inputmode="numeric" class="form-control" placeholder="prix" style="width:70px;float:left;text-align:right">
                            </td>
                            <td class="p5">
                            ,
                            </td>
                            <td>
                                <input type="text" name="virgule" id="virgule" value="' . $virgule . '" inputmode="numeric" class="form-control" placeholder="00"  style="width:50px;">
                            </td>
                            <td  class="p5">
                                €
                            </td>
                        </tr>
                     </table>
                    </div>
                  </div>
                </div>
                <div class="form-group" id="fg_paye">
                   <label for="paye" class="col-sm-3 control-label">Payée</label>
                   <div class="col-sm-9">
        ';
        foreach (array("non"=>"non","oui"=>"oui") as $key => $value) {
            if ($key == $paye) {
                $checked = ' checked="" ' ;
            }
            else {
                $checked = '' ;
            }
            $contenu .= '
                <div class="radio">
                    <label>
                        <input type="radio" name="paye" value="' . $key . '" ' . $checked . '>
                        ' . $value . '
                    </label>
                </div>
            ';
        }
        $contenu .= '
                   </div>
                </div>
               <input type="hidden" name="id" id="id" value="' . $id . '">
               <input type="hidden" name="validate" value="[{&quot;type&quot;:&quot;required&quot;,&quot;input&quot;:&quot;date&quot;},{&quot;type&quot;:&quot;required&quot;,&quot;input&quot;:&quot;prix&quot;}]">
               <div class="form-group" id="">
                  <div class="col-sm-offset-3 col-sm-9"><button onclick="verify(\'add_ed_form_a_deduire\')" id="b_add_ed_form" class="btn btn-xs btn-success"> <i class="glyphicon glyphicon-ok"></i>  Enregistrer la modification</button></div>
               </div>
            </form>
        ' ;
        echo $contenu ;
    }

    public function add_ed_a_deduire() {

        $_POST['prix'] = $_POST['prix'] . "." . $_POST['virgule'] ;
        $_POST['date'] = convert_to_date_mysql($_POST['date']) ;
        
        if(!$_POST['id'])
            insert($_POST,'a_deduire',array('virgule'));
        else
            update($_POST,'a_deduire'," AND id='".$_POST['id']."'",array('virgule'));

        echo javascript("update_liste_id('liste')") ;
        echo javascript("mpClose();") ;
    }

    public function liste_categorie_par_mois($id_categorie,$mois="",$annee="") {
        if($mois == "")
            $mois = date('m') ;
        if($annee == "")
            $annee = date('Y') ;

        $a_date = date_begin_last_day_mounth($mois,$annee) ;
        $req = "
            SELECT 
                items.nom as nom,
                items.a_diviser as a_diviser_value,
                dates.prix as prix, 
                dates.date as `date`
                    FROM `items` 
                        INNER JOIN categories ON items.id_categorie = categories.id 
                        INNER JOIN dates ON dates.id_item = items.id 
                    WHERE 
                        categories.id = '" . $id_categorie . "' AND dates.date >= '" . $a_date['debut'] . "' AND dates.date <= '" . $a_date['fin'] . "'
        ";
        $a_res = $this->db->query($req)->result_array();
        $total = 0 ;
        $contenu .= '<table class="table-striped">' ;

        foreach ($a_res as $k => $v) {
            if(is_array($v)) foreach($v as $key => $value) { ${$key} = $value; }
            //debut bloc

            if ($a_diviser_value == "oui") {
                $a_diviser = '<i class="glyphicon glyphicon-duplicate"></i>' ;
                $prix_double = "&nbsp;&nbsp; [ " . $prix . " ]";
                $prix = $prix/2 ;
            }
            else {
                $a_diviser = "" ;
                $prix_double = "" ;
            }


            $total += $prix ;
            $contenu .= '
                <tr>
                    <td class="p10" style="width:150px">
                        <div>' . $date = convert_date_en_fr($date) . '</div>
                        <div class="f11">' . date_fr($date,"approx") . '</div>
                    </td>
                    <td class="p10" style="width:150px">
                        <div>' . $a_diviser . ' ' . $nom . '</div>
                        <div class="f11"></div>
                    </td>
                    <td class="p10" style="width:80px">
                        <span class="label label-default">' . $prix . ' € ' . $prix_double . '</span>
                    </td>
                </tr>
            ';
            //fin bloc
        }
        $contenu .= '
            <tr>
                <td class="p10"></td>
                <td class="p10">Total : </td>
                <td class="p10"><span class="label label-warning">' . $total . ' €</span></td>
                <td class="p10"></td>
            </tr>
        ';  
        $contenu .= '</table>';
        echo $contenu ;
    }

    public function add_ed_form($id_item,$mois="",$annee="") {
        if ($_POST['id']) {
            $req = "SELECT * FROM `dates` WHERE 1 AND `id` LIKE '" . $_POST['id'] . "' AND `id_item` LIKE '" . $id_item . "'";
            $a_res = $this->db->query($req)->result_array();
            //Recup des variables de 
            if(is_array($a_res[0])) foreach($a_res[0] as $key => $value) { ${$key} = $value; }
            $bt = "Enregistrer la modification" ;
            $date = convert_date_en_fr($date) ;
        }
        else {
            $a_virer = "non" ;
            $bt = "Ajouter" ;
        }


        if (preg_match("`\.`",$prix)) {
            $a_prix = explode(".",$prix) ;
            $prix = $a_prix[0] ;
            $virgule = $a_prix[1] ;

        }


        if($date == "") {
            $mktime = date_to_mktime(date('d') . "/" . $mois . "/" . $annee) ;
            $date=date('d/m/Y',$mktime) ;
        }

        $contenu .= "
            <script>
                $(document).ready(function() {
                  $('#prix').on('input', function() {
                    var sanitized = $(this).val().replace(/[^0-9\b]/g, '');
                    $(this).val(sanitized);
                  });
                  $('#prix').on('keydown', function(e) {
                    if (e.key === ',' || e.key === '.') {
                      $('#virgule').focus();
                      return false;
                    }
                  });
                });
            </script>
        ";

        $contenu .= '
            <form action="/dates/add_ed" method="POST" class="mt20 form-horizontal" id="f_add_ed_form" onsubmit="return false;">
                <div class="form-group" id="fg_date">
                  <label for="date" class="col-sm-3 control-label" id="label_date">date</label>
                  <div class="col-sm-9">
                     <input type="text" name="date" id="date" value="' . $date . '" class="form-control datePicker" placeholder="date">
                  </div>
                </div>
                <div class="form-group" id="fg_prix">
                  <label for="prix" class="col-sm-3 control-label" id="label_prix">prix</label>
                  <div class="col-sm-9">
                     <table>
                        <tr>
                            <td>
                                <input type="text" name="prix" id="prix" value="' . $prix . '" inputmode="numeric" class="form-control" placeholder="prix" style="width:70px;float:left;text-align:right">
                            </td>
                            <td class="p5">
                            ,
                            </td>
                            <td>
                                <input type="text" name="virgule" id="virgule" value="' . $virgule . '" inputmode="numeric" class="form-control" placeholder="00"  style="width:50px;">
                            </td>
                            <td  class="p5">
                                €
                            </td>
                        </tr>
                     </table>
                  </div>
                </div>
                <div class="form-group" id="fg_commentaire">
                  <label for="commentaire" class="col-sm-3 control-label" id="label_commentaire">commentaire</label>
                  <div class="col-sm-9">
                    <textarea name="commentaire" id="commentaire" class="form-control " placeholder="commentaire">' . $commentaire . '</textarea> 
                  </div>
                </div>
                <div class="form-group" id="fg_a_virer">
                   <label for="a_virer" class="col-sm-3 control-label">A virer</label>
                   <div class="col-sm-9">
        ';
        foreach (array("non"=>"non","oui"=>"oui","virée"=>"virée") as $key => $value) {
            if ($key == $a_virer) {
                $checked = ' checked="" ' ;
            }
            else {
                $checked = '' ;
            }
            $contenu .= '
                <div class="radio">
                    <label>
                        <input type="radio" name="a_virer" value="' . $key . '" ' . $checked . '>
                        ' . $value . '
                    </label>
                </div>
            ';
        }
        $contenu .= '
                   </div>
                </div>
               <input type="hidden" name="id" id="id" value="' . $id . '">
               <input type="hidden" name="id_item" id="id_item" value="' . $id_item . '">
               <input type="hidden" name="validate" value="[{&quot;type&quot;:&quot;required&quot;,&quot;input&quot;:&quot;date&quot;},{&quot;type&quot;:&quot;required&quot;,&quot;input&quot;:&quot;prix&quot;}]">
               <div class="form-group" id="">
                  <div class="col-sm-offset-3 col-sm-9"><button onclick="verify(\'add_ed_form\')" id="b_add_ed_form" class="btn btn-xs btn-success"> <i class="glyphicon glyphicon-ok"></i>  Enregistrer la modification</button></div>
               </div>
            </form>
        ' ;

        $contenu .= $this->list_par_item($id_item) ;

        echo $contenu ;
    }

    public function list_par_item($id_item) {
        $req = "SELECT * FROM `dates` WHERE `id_item` LIKE '" . $id_item . "'";
        $a_res = $this->db->query($req)->result_array();
        $contenu .= '<table class="table table-striped">';
        foreach ($a_res as $key => $value) {
            $total += $value['prix'] ;
            $contenu .= '
                <tr>
                    <td class="p10">
                        <div>' . $date = convert_date_en_fr($value['date']) . '</div>
                        <div class="f11">' . date_fr($value['date'],"approx") . '</div>
                    </td>
                    <td class="p10" style="width:90px">
                        ' . $a_id[$value['id_item']] . ' 
                    </td>
                    <td class="p10">
                        ' . $value['commentaire'] . ' 
                    </td>
                    <td class="p10">
                        <span class="label label-default">' . $value['prix'] . ' € </span>
                    </td>
                </tr>
            ' ;
        }
        $contenu .= '
            <tr>
                <td class="p10"></td>
                <td class="p10">Total : </td>
                <td class="p10"><span class="label label-warning">' . $total . ' €</span></td>
            </tr>
        ';  
        $contenu .= '</table>';
        return $contenu ;
    }

    public function add_ed(){
        $_POST['prix'] = $_POST['prix'] . "." . $_POST['virgule'] ;
        $_POST['date'] = convert_to_date_mysql($_POST['date']) ;
        if(!$_POST['id'])
            insert($_POST,strtolower(__CLASS__),array('virgule'));
        else
            update($_POST,strtolower(__CLASS__)," AND id='".$_POST['id']."'",array('virgule'));

        echo javascript("update_liste_id('liste')") ;
        echo javascript("mpClose();") ;
    }

    public function del($id) {
        $req = "DELETE FROM `" . strtolower(__CLASS__) . "` WHERE 1 AND `id` = " . $id;
        $a_res = $this->db->query($req);
        echo javascript("update_liste_id('liste')") ;
    }

    public function del_a_deduire($id) {
        $req = "DELETE FROM `a_deduire` WHERE 1 AND `id` = " . $id;
        $a_res = $this->db->query($req);
        echo javascript("update_liste_id('liste')") ;
    }

    public function del_a_rembourser($id) {
        $req = "DELETE FROM `a_rembourser` WHERE 1 AND `id` = " . $id;
        $a_res = $this->db->query($req);
        echo javascript("update_liste_id('liste')") ;
    }    
}
?>
