<?php
class Post extends CI_Controller {
	public function verify() {
		// print2($_POST);
		$a_validate = json_decode($_POST['validate']);
		if(!isset($_POST['file'])) $_POST['file']="";
		$a_result = array();
		foreach ($a_validate as $k_validate => $validate) {
			if(isset($validate->type)) {
				if ($validate->type == "data") {
					if($validate->motif) {
						$a_result[$validate->input] = $this->motif($validate->motif,$_POST[$validate->input]);
					}
					if($a_result[$validate->input] == "OK") {
						$nb = DB::table($validate->data)->where($validate->value,$_POST[$validate->input])->count();
						if($nb>0) {
							$a_result[$validate->input] = $_POST[$validate->input]." existe déjà dans la base de données, veuillez en choisir un autre";	
						}
						else {
							$a_result[$validate->input]	= "OK";	
						}
					}
				} // fin data
				if ($validate->type == "verif_pwd") {
					$id_user = \Session::get('id_membre');
					$nb = DB::table($validate->data)->where('id',$id_user)->where($validate->value,$_POST[$validate->input])->count();
					if($nb == 0) {
						$a_result[$validate->input] = "Le mot de passe que vous avez saisi ne correspond pas à celui qui est enregistré";	
					}
					else {
						$a_result[$validate->input]	= "OK";	
					}				
				} // fin verif_pwd
				if ($validate->type == "password") {
					if (!preg_match("`^[0-9a-zA-Z_]{4,12}$`",$_POST[$validate->input])) {
						$a_result[$validate->input]	= "Votre mot de passe ne doit pas contenir ni espace ni caract&egrave;re sp&eacute;ciaux sauf '_' entre 4 et 12 caract&egrave;res";
					}
					else {
						$a_result[$validate->input]	= "OK";	
					}
				} // fin password
				if ($validate->type == "confirm_pwd") {
					if ($_POST[$validate->input] != $_POST[$validate->source]) {
						$a_result[$validate->input]	= "Les deux mot de passe ne correspondent pas.";
					}
					else {
						$a_result[$validate->input]	= "OK";	
					}
				}
				if ($validate->type == "number") {
					$a_result[$validate->input] = $this->motif("number",$_POST[$validate->input]);
				}
				if ($validate->type == "email") {
					$a_result[$validate->input] = $this->motif("email",$_POST[$validate->input]);
				}
				if ($validate->type == "required") {

					if($_POST[$validate->input]=="") {
						$a_result[$validate->input] = "Champ obligatoire";
					}
					else {
						$a_result[$validate->input] = "OK";
					}
				}
			}
		}
		header('Content-Type: application/json');
		echo json_encode(array("info_form"=>array("id_form"=>$_POST['id_form'],"file"=>$_POST['file']),"validate"=>$a_result));
	}
}
?>