        $(document).ready(function(){          
        var editor = $("#text").ckeditor({
            contentsCss: ['https://mp.dinas.fr/css/code.css'],
            toolbar: [{ name: "basicstyles", items: [ "Bold", "Italic", "Underline", "Strike", "Subscript", "Superscript", "-", "RemoveFormat" ] }, { name: "styles", items: ["Styles", "Format"] },
            { name: "paragraph", items: [ "NumberedList", "BulletedList", "-", "Outdent", "Indent", "-", "Blockquote", "CreateDiv", "-", "JustifyLeft", "JustifyCenter", "JustifyRight", "JustifyBlock", "-" ] },{ name: "links", items: [ "Link", "Unlink" ] },{name: "tools", items: [ "Maximize", "ShowBlocks" ]},{ name: "insert", items: [ "Image", "Source" ] }]
        }).editor;

        editor.on("instanceReady", function(ev) {
            // CTRL+1 pour "{{-var-}}"
            editor.addCommand("wrapVar", {
                exec: function(editor) {
                    var selectedText = editor.getSelection().getSelectedText();
                    editor.insertText("{{-" + selectedText + "-}}");
                }
            });
            editor.setKeystroke(CKEDITOR.CTRL + 49, "wrapVar"); // 49 is the keycode for 1

            // CTRL+1 pour "Titre 1"
            editor.addCommand("title1", {
                exec: function(editor) {
                    editor.applyStyle(new CKEDITOR.style({element: "h1"}));
                }
            });
            editor.setKeystroke(CKEDITOR.CTRL + CKEDITOR.SHIFT + 49, "title1"); // 49 is the keycode for 1

            // CTRL+2 pour "Titre 2"
            editor.addCommand("title2", {
                exec: function(editor) {
                    editor.applyStyle(new CKEDITOR.style({element: "h2"}));
                }
            });
            editor.setKeystroke(CKEDITOR.CTRL + CKEDITOR.SHIFT + 50, "title2"); // 50 is the keycode for 2

            // CTRL+3 pour "Titre 3"
            editor.addCommand("title3", {
                exec: function(editor) {
                    editor.applyStyle(new CKEDITOR.style({element: "h3"}));
                }
            });
            editor.setKeystroke(CKEDITOR.CTRL + CKEDITOR.SHIFT + 51, "title3"); // 51 is the keycode for 3

            // CTRL+4 pour "Titre 4"
            editor.addCommand("title4", {
                exec: function(editor) {
                    editor.applyStyle(new CKEDITOR.style({element: "h4"}));
                }
            });
            editor.setKeystroke(CKEDITOR.CTRL + CKEDITOR.SHIFT + 52, "title4"); // 52 is the keycode for 4

            // CTRL+E pour "Formaté"
            editor.addCommand("formatted", {
                exec: function(editor) {
                    editor.applyStyle(new CKEDITOR.style({element: "pre"}));
                }
            });
            editor.setKeystroke(CKEDITOR.CTRL + CKEDITOR.SHIFT + 69, "formatted"); // 69 is the keycode for E

            // CTRL+N pour "Normal"
            editor.addCommand("normal", {
                exec: function(editor) {
                    editor.applyStyle(new CKEDITOR.style({element: "p"}));
                }
            });
            editor.setKeystroke(CKEDITOR.CTRL + CKEDITOR.ALT + 78, "normal"); // 78 is the keycode for N

            // CTRL+P pour "Agrandir"
            editor.addCommand("maximize", {
                exec: function(editor) {
                    editor.execCommand("maximize");
                }
            });
            editor.setKeystroke(CKEDITOR.CTRL + 80, "maximize"); // 80 is the keycode for P

            // CTRL+M pour "Supprimer la mise en forme"
            editor.addCommand("removeFormat", {
                exec: function(editor) {
                    editor.execCommand("removeFormat");
                }
            });
            editor.setKeystroke(CKEDITOR.CTRL + 77, "removeFormat"); // 77 is the keycode for M
          });
        });
        $(document).ready(function(){
          $("#titre").keyup(function(){
              var inputValue = $(this).val();
              $(".titre_code").text(inputValue);
          });
        });